Bug 1119899 - RHEVM compute resource missing networks on first attempt at new host
Summary: RHEVM compute resource missing networks on first attempt at new host
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: orabin
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 19:16 UTC by Erik M Jacobs
Modified: 2016-04-26 00:59 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:21:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6483 None None None 2016-04-22 15:42:51 UTC

Description Erik M Jacobs 2014-07-15 19:16:13 UTC
Description of problem:
When attempting to provision a new host on RHEVM, on the virtual machine tab, initially the network list for a NIC is empty. If you attempt to submit with an empty network selection, you will get an error that says the network is missing. When you return to the virtual machines tab, the networks are now listed.

Version-Release number of selected component (if applicable):
foreman-1.6.0.21-1.el6sat.noarch
foreman-compute-1.6.0.21-1.el6sat.noarch
foreman-gce-1.6.0.21-1.el6sat.noarch
foreman-libvirt-1.6.0.21-1.el6sat.noarch
foreman-ovirt-1.6.0.21-1.el6sat.noarch
foreman-postgresql-1.6.0.21-1.el6sat.noarch
foreman-proxy-1.6.0.9-1.el6sat.noarch
foreman-selinux-1.6.0-5.el6sat.noarch
foreman-vmware-1.6.0.21-1.el6sat.noarch
katello-1.5.0-26.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.53-1.el6sat.noarch
pulp-katello-0.3-3.el6sat.noarch
ruby193-rubygem-foreman_bootdisk-2.0.6-1.1.el6sat.noarch
ruby193-rubygem-foreman_discovery-1.3.0-0.1.rc2.el6sat.noarch
ruby193-rubygem-foreman_hooks-0.3.5-2.el6sat.noarch
ruby193-rubygem-foreman-redhat_access-0.0.4-1.el6sat.noarch
ruby193-rubygem-foreman-tasks-0.6.3-2.el6sat.noarch
ruby193-rubygem-katello-1.5.0-65.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.1-9.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch
rubygem-hammer_cli_katello-0.0.4-7.el6sat.noarch

Additional info:

The very first time we attempted to provision a new host, the networks were listed. I canceled out of this first attempt without submitting anything. Forever after we seem to have this issue.

Comment 1 RHEL Product and Program Management 2014-07-15 19:24:23 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 orabin 2014-07-16 13:13:27 UTC
Created redmine issue http://projects.theforeman.org/issues/6638 from this bug

Comment 4 Bryan Kearney 2014-07-28 20:06:12 UTC
Connecting redmine issue http://projects.theforeman.org/issues/6483 from this bug

Comment 5 Bryan Kearney 2014-07-28 20:33:36 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6483 has been closed
-------------
Neil Miao
https://github.com/theforeman/foreman/pull/1602
-------------
Neil Miao
Applied in changeset commit:a27196f08e9976e81449c3812cc0008c5d437c7b.

Comment 11 Tazim Kolhar 2014-09-03 09:35:24 UTC
VERIFIED:

on the virtual machine tab, the networks are listed

Comment 12 Bryan Kearney 2014-09-11 12:21:14 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.